Package org.eclipse.jdt.debug.core

# Interface IJavaLineBreakpoint

All Superinterfaces:
  `org.eclipse.core.runtime.IAdaptable`, `org.eclipse.debug.core.model.IBreakpoint`, `IJavaBreakpoint`, `org.eclipse.debug.core.model.ILineBreakpoint`, `org.eclipse.debug.core.model.ITriggerPoint`

All Known Subinterfaces:
  `IJavaMethodBreakpoint`, `IJavaMethodEntryBreakpoint`, `IJavaPatternBreakpoint`, `IJavaStratumLineBreakpoint`, `IJavaTargetPatternBreakpoint`, `IJavaWatchpoint`

public interface IJavaLineBreakpoint extends IJavaBreakpoint, org.eclipse.debug.core.model.ILineBreakpoint
A breakpoint that suspends execution when a particular line of code is reached.

Since:
  2.0
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Field Summary

### Fields inherited from interface org.eclipse.debug.core.model.IBreakpoint

`BREAKPOINT_MARKER, ENABLED, ID, LINE_BREAKPOINT_MARKER, PERSISTED, REGISTERED`

### Fields inherited from interface org.eclipse.jdt.debug.core.IJavaBreakpoint

`RESUME_ON_HIT, SUSPEND_THREAD, SUSPEND_VM`

### Fields inherited from interface org.eclipse.debug.core.model.ITriggerPoint

`TRIGGERPOINT`

## Method Summary

Modifier and Type
Method
Description
`String`
`getCondition()`
Returns the conditional expression associated with this breakpoint, or `null` if this breakpoint does not have a condition.
`boolean`
`isConditionEnabled()`
Returns whether the condition on this breakpoint is enabled.
`boolean`
`isConditionSuspendOnTrue()`
Returns whether the breakpoint suspends when the value of the condition is `true` or when the value of the condition changes.
`void`
`setCondition(String condition)`
Sets the condition associated with this breakpoint.
`void`
`setConditionEnabled(boolean enabled)`
Sets the enabled state of this breakpoint's condition to the given state.
`void`
`setConditionSuspendOnTrue(boolean suspendOnTrue)`
Set the suspend state of this breakpoint's condition.
`boolean`
`supportsCondition()`
Returns whether this breakpoint supports a conditional expression.

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.debug.core.model.IBreakpoint

`delete, getMarker, getModelIdentifier, isEnabled, isPersisted, isRegistered, setEnabled, setMarker, setPersisted, setRegistered`

### Methods inherited from interface org.eclipse.jdt.debug.core.IJavaBreakpoint

`addBreakpointListener, addInstanceFilter, getBreakpointListeners, getHitCount, getInstanceFilters, getSuspendPolicy, getThreadFilter, getThreadFilters, getTypeName, isDisableOnHit, isInstalled, removeBreakpointListener, removeInstanceFilter, removeThreadFilter, setDisableOnHit, setHitCount, setSuspendPolicy, setThreadFilter, supportsInstanceFilters, supportsThreadFilters`

### Methods inherited from interface org.eclipse.debug.core.model.ILineBreakpoint

`getCharEnd, getCharStart, getLineNumber`

### Methods inherited from interface org.eclipse.debug.core.model.ITriggerPoint

`isTriggerPoint, setTriggerPoint`

## Method Details

### supportsCondition

boolean supportsCondition()
Returns whether this breakpoint supports a conditional expression. Conditional breakpoints only suspend when their associated condition evaluates to `true`.

Returns:
  whether this breakpoint supports a condition

### getCondition

String getCondition() throws org.eclipse.core.runtime.CoreException
Returns the conditional expression associated with this breakpoint, or `null` if this breakpoint does not have a condition.

Returns:
  this breakpoint's conditional expression, or `null`
Throws:
  `org.eclipse.core.runtime.CoreException` - if unable to access the property on this breakpoint's underlying marker

### setCondition

void setCondition(String condition) throws org.eclipse.core.runtime.CoreException
Sets the condition associated with this breakpoint. When the condition is enabled, this breakpoint will only suspend execution when the given condition evaluates to `true`. Setting the condition to `null` or an empty string removes the condition.

If this breakpoint does not support conditions, setting the condition has no effect.

Parameters:
  `condition` - conditional expression
Throws:
  `org.eclipse.core.runtime.CoreException` - if unable to set the property on this breakpoint's underlying marker

### isConditionEnabled

boolean isConditionEnabled() throws org.eclipse.core.runtime.CoreException
Returns whether the condition on this breakpoint is enabled.

Returns:
  whether this breakpoint's condition is enabled
Throws:
  `org.eclipse.core.runtime.CoreException` - if unable to access the property on this breakpoint's underlying marker

### setConditionEnabled

void setConditionEnabled(boolean enabled) throws org.eclipse.core.runtime.CoreException
Sets the enabled state of this breakpoint's condition to the given state. When enabled, this breakpoint will only suspend when its condition evaluates to true. When disabled, this breakpoint will suspend as it would with no condition defined.

Parameters:
  `enabled` - the enabled state of the condition
Throws:
  `org.eclipse.core.runtime.CoreException` - if unable to set the property on this breakpoint's underlying marker

### isConditionSuspendOnTrue

boolean isConditionSuspendOnTrue() throws org.eclipse.core.runtime.CoreException
Returns whether the breakpoint suspends when the value of the condition is `true` or when the value of the condition changes.

Returns:
  `true` if this breakpoint suspends when the value of the condition is `true`, `false` if this breakpoint suspends when the value of the condition changes.
Throws:
  `org.eclipse.core.runtime.CoreException` - if unable to access the property on this breakpoint's underlying marker
Since:
  2.1

### setConditionSuspendOnTrue

void setConditionSuspendOnTrue(boolean suspendOnTrue) throws org.eclipse.core.runtime.CoreException
Set the suspend state of this breakpoint's condition. If the value is `true`, the breakpoint will stop when the value of the condition is `true`. If the value is `false`, the breakpoint will stop when the value of the condition changes.

Parameters:
  `suspendOnTrue` - if the condition should suspend when true
Throws:
  `org.eclipse.core.runtime.CoreException` - if unable to access the property on this breakpoint's underlying marker
Since:
  2.1